SHA1SUM(1)

BEZEICHNUNG
sha1sum - SHA1-Prüfsummen berechnen und überprüfen

ÜBERSICHT
sha1sum [OPTION]... [DATEI]...

BESCHREIBUNG

SHA1‐Prüfsummen (160 Bit) ausgeben oder überprüfen. Ohne DATEI oder wenn DATEI »-« ist, Standardeingabe lesen.

-b, --binary
    Im Binärmodus lesen

-c, --check
    SHA1‐Prüfsummen aus DATEIen lesen und überprüfen

--tag
    Eine Prüfsumme im BSD-Stil erstellen

-t, --text
    Im Textmodus lesen (Voreinstellung)

  The following four options are useful only when verifying checksums:

--quiet
    Nicht für jede erfolgreich geprüfte Datei OK ausgeben

--status
    Nichts ausgeben, der Statuscode zeigt Erfolg an

--strict
    exit non-zero for improperly formatted checksum lines

-w, --warn
    Bei ungeeignet formatierten Prüfsummenzeilen warnen

--help
    Diese Hilfe anzeigen und beenden

--version
    Versionsinformation anzeigen und beenden

Die Summen werden wie in FIPS-180-1 beschrieben berechnet. Beim Überprüfen sollte die Eingabe eine frühere Ausgabe dieses Programms sein. Die normale Arbeitsweise ist es, eine Zeile mit Prüfsumme, einem Zeichen, das den Eingabetyp anzeigt (»*« für binär, Leerzeichen für Text), und dem Namen jeder DATEI auszugeben.

GNU coreutils online help: <http://www.gnu.org/software/coreutils/> Report sha1sum translation bugs to <http://translationproject.org/team/>

AUTOR
Geschrieben von Ulrich Drepper, Scott Miller und David Madore.

COPYRIGHT
Copyright © 2013 Free Software Foundation, Inc. Lizenz GPLv3+: GNU GPL Version 3 oder neuer <http://gnu.org/licenses/gpl.html>.
Dies ist freie Software: Sie können sie verändern und weitergeben. Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

SIEHE AUCH
Die vollständige Dokumentation für sha1sum wird als Texinfo-Handbuch gepflegt. Wenn die Programme info und sha1sum auf Ihrem Rechner ordnungsgemäß installiert sind, können Sie mit dem Befehl

    info coreutils 'sha1sum invocation'

auf das vollständige Handbuch zugreifen.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Karl Eichwalder <ke@suse.de>, Lutz Behnke <lutz.behnke@gmx.de>, Michael Schmidt <michael@guug.de>, Michael Piefel <piefel@debian.org> und Tobias Quathamer <toddy@debian.org> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.